
Redmine - Defect #14312

Field Permissions dropdown in Workflow is missing ' Required ' option.  

2013-06-18 21:31 - Nick Gorbikoff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Hello.

I'm pretty sure it's a bug. This is a brand new installation of redmine with some plugins. Everything worked pretty much out of the

box. (I'm using 1x elsewhere this is my first 2x Redmine installation).  When I go into Workflow > Field Permissions to require some

standard fields ( I want users to select category, due date and assigned_to fields ) - the only option I get in a dropdown is 'read-only'.

However according to everything I read on forums and issues list it should also have 'required' option. Amy missing something or did

I knot do something during install? (I'm pretty sure I followed installation guide to the letter). It's not critical, just really annoying to go

into the system and clean up after users - make sure that all bugs have a person and due date assigned and are properly

categorized. Some of my users are untrainable :-)

Here are my Redmine details:

Environment:

  Redmine version                          2.3.1.stable 

  Ruby version                             2.0.0 (x86_64-linux)  # Ruby 2.0.0p195 through rbenv on

 Debian 7

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         PostgreSQL  # 9.2

History

#1 - 2013-06-18 21:36 - Nick Gorbikoff

- Status changed from New to Resolved

Just ignore this. I think I need to go my vision checked and get 12 hours of sleep - looking at the wrong fields! ARHRHRHGH. Sleepless nights and 2

infants at home!!

#2 - 2013-06-19 12:35 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Invalid
